Package tigase.db.util.importexport

# Class RepositoryManagerExtensionBase

java.lang.Object
tigase.db.util.importexport.RepositoryManagerExtensionBase

All Implemented Interfaces:
  `RepositoryManagerExtension`

Direct Known Subclasses:
  `CredentialsExtension`, `JabberIqPrivateExtension`

public abstract class RepositoryManagerExtensionBase extends Object implements RepositoryManagerExtension

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryManagerExtensionBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `exportInclude(Writer parentWriter, Path filePath, RepositoryManager.ThrowingConsumer<Writer> consumer)`
  `List<String>`
  `getNamesOfComponent(Class<?> clazz)`
  `<X> X`
  `getRepository(Class<X> ifc, String name)`
  `Path`
  `getRootPath()`
  `void`
  `initialize(Kernel kernel, DataSourceHelper dataSourceHelper, RepositoryHolder repositoryHolder, Path rootPath)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.db.util.importexport.RepositoryManagerExtension

  `exportDomainData, exportUserData, getExportParameters, getImportParameters, startImportDomainData, startImportUserData`

- ## Constructor Details

  - ### RepositoryManagerExtensionBase

    public RepositoryManagerExtensionBase()

- ## Method Details

  - ### initialize

    public void initialize(Kernel kernel, DataSourceHelper dataSourceHelper, RepositoryHolder repositoryHolder, Path rootPath)
    Specified by:
      `initialize` in interface `RepositoryManagerExtension`

  - ### getRepository

    public <X> X getRepository(Class<X> ifc, String name) throws RepositoryException, InstantiationException, IllegalAccessException
    Throws:
      `RepositoryException`
      `InstantiationException`
      `IllegalAccessException`

  - ### getNamesOfComponent

    public List<String> getNamesOfComponent(Class<?> clazz)

  - ### getRootPath

    public Path getRootPath()

  - ### exportInclude

    protected void exportInclude(Writer parentWriter, Path filePath, RepositoryManager.ThrowingConsumer<Writer> consumer) throws Exception
    Throws:
      `Exception`